openapi: 3.0.1
info:
  title: "Example"
  version: "1.0.0"
paths:
  /jap/liveness:
    get:
      tags:
        - JES7 - Monitoring
      summary: Liveness resource of this component for Kubernetes.
      description: Kubernetes will restart the pod if the HTTP status codes is higher
        than 399.
      operationId: liveness
      responses:
        "200":
          description: OK
          content:
            text/plain: { }
      parameters:
        - name: operation-item-parameter
          in: header
          schema:
            example: "1"
            default: "1"
    parameters:
    - name: path-item-parameter
      in: header
      schema:
        required:
          - "1"
          - "2"
          - "3"
        example: "1"
        default: "1"

  /jap/readiness:
    get:
      tags:
        - JES7 - Monitoring
      summary: Readiness resource of this component for Kubernetes.
      description: A readiness probe determines if a container is ready to service
        requests. Kubernetes stops serving requests to this pod if the HTTP status
        code is higher than 399.
      operationId: ReadinessResource_readiness_get
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Verification'
components:
  schemas:
    Metric:
      type: object
      properties:
        name:
          type: string
        value:
          type: string
    Outcome:
      type: object
      properties:
        status:
          type: string
          enum:
            - PASSED
            - FAILED
        reason:
          type: string
    State:
      type: object
      properties:
        status:
          type: string
          enum:
            - EXECUTED
            - SKIPPED
        reason:
          type: string
    Verification:
      type: object
      properties:
        name:
          type: string
        state:
          $ref: '#/components/schemas/State'
        outcome:
          $ref: '#/components/schemas/Outcome'
        metrics:
          type: array
          items:
            $ref: '#/components/schemas/Metric'
